xine-lib: xine_event_queue_private_s Struct Reference

xine-lib 1.2.12

Data Fields
xine_event_queue_private_s Struct Reference

## Data Fields
xine_event_queue_t | q
xine_list_t * | free_events
xine_sarray_t * | select
int | refs
int | flush
struct timeval | lasttime
int | num_all
int | num_alloc
int | num_skip
pthread_t | handler
struct {
xine_event_private_t e
uint8_t data [256]
} | revents [16]

## Field Documentation

## ◆ data

uint8_t xine_event_queue_private_s::data[256]

## ◆ e

xine_event_private_t xine_event_queue_private_s::e

## ◆ flush

int xine_event_queue_private_s::flush

Referenced by _x_flush_events_queues(), listener_loop(), and xine_event_new_queue().

## ◆ free_events

xine_list_t* xine_event_queue_private_s::free_events

Referenced by listener_loop(), xine_event_free(), xine_event_new_queue(), xine_event_next(), xine_event_queue_unref_unlock(), and xine_event_send().

## ◆ handler

pthread_t xine_event_queue_private_s::handler

Referenced by _x_flush_events_queues(), and xine_event_create_listener_thread().

## ◆ lasttime

struct timeval xine_event_queue_private_s::lasttime

Referenced by _x_flush_events_queues(), listener_loop(), and xine_event_new_queue().

## ◆ num_all

int xine_event_queue_private_s::num_all

Referenced by xine_event_new_queue(), and xine_event_send().

## ◆ num_alloc

int xine_event_queue_private_s::num_alloc

Referenced by xine_event_new_queue(), and xine_event_send().

## ◆ num_skip

int xine_event_queue_private_s::num_skip

Referenced by xine_event_new_queue(), and xine_event_send().

## ◆ q

xine_event_queue_t xine_event_queue_private_s::q

Referenced by _x_flush_events_queues(), listener_loop(), xine_event_create_listener_thread(), xine_event_dispose_queue(), xine_event_free(), xine_event_get(), xine_event_new_queue(), xine_event_next(), xine_event_queue_unref_unlock(), xine_event_select(), xine_event_send(), xine_event_wait(), and xine_event_wait_locked().

## ◆ refs

int xine_event_queue_private_s::refs

Referenced by _x_flush_events_queues(), listener_loop(), xine_event_new_queue(), xine_event_next(), xine_event_queue_unref_unlock(), and xine_event_send().

## ◆

struct { ... } xine_event_queue_private_s::revents[ 16 ]

Referenced by listener_loop(), xine_event_free(), xine_event_new_queue(), and xine_event_next().

## ◆ select

xine_sarray_t* xine_event_queue_private_s::select

Referenced by xine_event_new_queue(), xine_event_queue_unref_unlock(), xine_event_select(), and xine_event_send().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-engine/events.c